extends Spatial


# Declare member variables here. Examples:
# var a = 2
# var b = "text"

var _fog_on : bool = false
var _frame_count : int = 0

# Called when the node enters the scene tree for the first time.
func _ready():
	var env = $WorldEnvironment.environment
	env.fog_enabled = false
	pass # Replace with function body.


func set_fog(var on : bool):
	if _fog_on == on:
		return
		
	var env = $WorldEnvironment.environment
	env.fog_enabled = on
	_fog_on = on
	
	
	var frames = Engine.get_frames_drawn() - _frame_count
	$Label.text = "Fog " + String(on) + " .. prev FPS " + String(frames / 5)
	_frame_count = Engine.get_frames_drawn()
	

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _physics_process(delta):
	var i = Engine.get_physics_frames() / (60 * 5)
	i %= 2

	set_fog(i==0)
	
	pass
